Two PHP versions

Discussion in 'General' started by fraginhell, Mar 7, 2007.

  1. fraginhell

    fraginhell New Member

    Hi Guys,

    I have two PHP's installed...

    Cent OS : 4.4
    ISPconfig : 2.10

    /root/ispconfig/php/bin/php - version 5.2.1
    /usr/bin/php - version 4.3.9
    (with the following php rpm's)

    Can I either remove all the php rpms or how can I point my site to use the ispconfig 5.2.1 version.?

  2. martinfst

    martinfst ISPConfig Developer ISPConfig Developer

    The php 5.2 that comes with ISPConfig is strickly and only for ISPConfig. Do not use it for your regular websites.

    Your regular websites will use your distribution version of php, what you have installed. Currently this appears to be php 4.3. If you want php5 for your websites, use the upgrade tools for CentOS to move to php5. Your ISPConfig installation will not be affected by this.
  3. fraginhell

    fraginhell New Member

    Arrh ok thanks that makes sense now.
  4. 3cwired_com

    3cwired_com New Member

    I am sorry, what are the upgrade tools for Centos? I am unable to get to php4.4.x

    I am unable to do this successfully through webmin I am on centos 4.4
  5. mlz

    mlz New Member

    enable the centos-plus repo, that is where php 4.4.4 is located.

    Edit: Never mind, I see all they have there now is 5.1.6.. :(
    Last edited: Jun 22, 2007
  6. 3cwired_com

    3cwired_com New Member

    how does one go about enabling that, forgive me for sounding like a newbie.
  7. mlz

    mlz New Member

    yum --enablerepo=centosplus upgrade php*

    remove php-domxml before installing 5.1.x


    yum remove php-domxml

Share This Page